# Add the local directory to the library path
libdir = File.dirname(__FILE__)
$LOAD_PATH.unshift(libdir) unless $LOAD_PATH.include?(libdir)
require 'LuxSciConfig'

# Send a secure email with attachments via API scoped endpoint

user='someuser@luxsci.com'
pass=nil

begin

  url = LuxSci::API::URI("/user/%s/email/compose/secureline/send" % user)

  message = LuxSci::Message.new(
      to: ['someuser@luxsci.com'],
      body: 'When in disgrace with fortune',
      subject: 'My Ruby files'
  )
  message.addFile("Docs/foo.rb")
  message.addFile("Docs/bar.rb")

  response = LuxSci::API::sign(user,pass) {
    RestClient.post url, message
  }
  print "Response: %s\n" % response

rescue RestClient::Exception => e
  print "Got exception with status: %d\n" % e.response.code
  print "%s\n" % e.response
end
